## org.apache.axis.types
Class Entity

    java.lang.Object
      |
      +--org.apache.axis.types.NormalizedString
            |
            +--org.apache.axis.types.Token
                  |
                  +--org.apache.axis.types.Name
                        |
                        +--org.apache.axis.types.NCName
                              |
                              +--org.apache.axis.types.Entity

All Implemented Interfaces:
  java.io.Serializable

public class Entity
extends NCName

Custom class for supporting XSD data type Entity

Author:
  Davanum Srinivas <dims@yahoo.com>
See Also:
  XML Schema 3.3.11 ENTITY, Serialized Form

Constructor Summary
`Entity()`
`Entity(java.lang.String stValue)` ctor for Entity

Methods inherited from class org.apache.axis.types.NCName
`isValid`

Methods inherited from class org.apache.axis.types.NormalizedString
`equals, hashCode, setValue, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Entity

    public Entity()

### Entity

    public Entity(java.lang.String stValue)
           throws java.lang.IllegalArgumentException

  ctor for Entity

Throws:
  `java.lang.IllegalArgumentException` - will be thrown if validation fails

Copyright © 2003 Apache Web Services Project. All Rights Reserved.